Subject: bug#60505: 29.0.60; Fido Mode and Tramp Completion

From: Stefan Monnier <[email-masked]>
Date: Sat, 04 Feb 2023 11:48:09 -0500

>> I was referring to the design choice of approximating "completion
>> context" by "partial Tramp file name".
> According to the ChangeLog, this was added to Tramp in August 2002. I
> don't remember a public discussion about, it was just agreed between Kai
> and me.

In any case, I like it :-)

> Don't know. Likely no problem, because
>
> (file-name-directory (directory-file-name "/ssh:host:"))
> => "/ssh:host:"

Perfect!

> Perhaps it is a good idea anyway, to add a regexp matching "/ssh:host:"
> to locate-dominating-stop-dir-regexp.

I'd rather not if it's not needed.

        Stefan